<?php

namespace Labrender\FileRepository\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Notifications policy
        \Labrender\FileRepository\Models\Notifications::class => \Labrender\FileRepository\Policies\NotificationsPolicy::class,// Bind Attachments policy
        \Labrender\FileRepository\Models\Attachments::class => \Labrender\FileRepository\Policies\AttachmentsPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
