<?php

namespace Labrender\FileRepository\Workflow;

use Labrender\FileRepository\Models\Notifications;
use Labrender\FileRepository\Notifications\Notifications as NotificationsNotifyer;
use Notification;

class NotificationsNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Notifications $notifications
     *
     * @return void
     */
    public function complete(Notifications $notifications)
    {
        return Notification::send($notifications->user, new NotificationsNotifyer($notifications, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Notifications $notifications
     *
     * @return void
     */
    public function verify(Notifications $notifications)
    {
        return Notification::send($notifications->user, new NotificationsNotifyer($notifications, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Notifications $notifications
     *
     * @return void
     */
    public function approve(Notifications $notifications)
    {
        return Notification::send($notifications->user, new NotificationsNotifyer($notifications, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Notifications $notifications
     *
     * @return void
     */
    public function publish(Notifications $notifications)
    {
        return Notification::send($notifications->user, new NotificationsNotifyer($notifications, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Notifications $notifications
     *
     * @return void
     */
    public function archive(Notifications $notifications)
    {
        return Notification::send($notifications->user, new NotificationsNotifyer($notifications, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Notifications $notifications
     *
     * @return void
     */
    public function unpublish(Notifications $notifications)
    {
        return Notification::send($notifications->user, new NotificationsNotifyer($notifications, 'unpublish'));;

    }
}
